#ifndef LOCKSLIDER_H
#define LOCKSLIDER_H

#include "kslider.h"
#include <QSlider>
#include <QSlider>

using namespace kdk;

class LockSlider:public KSlider
{
public:
    LockSlider(QStringList list, QWidget *parent = nullptr);
    ~LockSlider();
    void initNodePoint();
    bool isContains(QPoint p1, QPoint p2, int radius);
    void showTooltip(const int &num);

protected:
    void paintEvent(QPaintEvent *e);
    bool eventFilter(QObject *watched, QEvent *event);
    void mousePressEvent(QMouseEvent *e);
    void mouseReleaseEvent(QMouseEvent *e);
    void mouseMoveEvent(QMouseEvent *e);

private:
    QStringList scaleList;
    QList<QPoint>nodePointList;
    bool mouseLeftBtnIsPressed;
};


#endif // LOCKSLIDER_H
